% Automatic Flight Envelope Protection configurations
ActivateAFEP  = 1; % 1 - Enabled / 0 - Disabled

AFEP_disabled       = 0;
AFEP_normal         = 1;
AFEP_contingency    = 2;

%% Continuous
% Nz Law (VNAV)
NZ_K = -1.4;

% Lateral Law (LNAV)
LL_K = -60;



%% Situational

AFEP_stall_dvdt = -0.8; % mph/s^2

% AoA (VNAV)
AoA_vspeed_K = -100;
AoA_error_margin = 1; % deg

% TAS (VNAV)
IAS_K = -1.5;
kt2mph = 1.15078;
IAS_error_margin = 3*kt2mph; % knot

% Roll (LNAV)
Roll_K = 1.4;
Roll_error_margin = 3; % deg
